Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.deegree.ogcwebservices.csw.manager
Enum HarvestRepository.ResourceType

    java.lang.Object
      java.lang.Enum<HarvestRepository.ResourceType>
          org.deegree.ogcwebservices.csw.manager.HarvestRepository.ResourceType

All Implemented Interfaces:
  Serializable, Comparable<HarvestRepository.ResourceType>

Enclosing class:
  HarvestRepository

    static enum HarvestRepository.ResourceType

extends Enum<HarvestRepository.ResourceType>

Enum Constant Summary
`catalogue`
`csw_profile`
`dublincore`
`FGDC`
`service`
`unknown`

Method Summary
`static HarvestRepository.ResourceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HarvestRepository.ResourceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### catalogue

    public static final HarvestRepository.ResourceType catalogue

### service

    public static final HarvestRepository.ResourceType service

### csw_profile

    public static final HarvestRepository.ResourceType csw_profile

### FGDC

    public static final HarvestRepository.ResourceType FGDC

### dublincore

    public static final HarvestRepository.ResourceType dublincore

### unknown

    public static final HarvestRepository.ResourceType unknown

Method Detail

### values

    public static final HarvestRepository.ResourceType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(HarvestRepository.ResourceType c : HarvestRepository.ResourceType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static HarvestRepository.ResourceType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org